All Classes Namespaces Functions Variables Groups Pages
FixedLengthUtil Namespace Reference

The FixedLengthUtil namespace contains all the definitions in the FixedLengthUtil module. More...

## Classes

class | FixedLengthAbstractIterator
| Structured line iterator for abstract data allowing efficient "pipelined" processing. More...
class | FixedLengthAbstractWriter
| Structured abstract writer for fixed-length lines. More...
class | FixedLengthDataIterator
| Structured line iterator for fixed-length line strings allowing efficient "pipelined" processing. More...
class | FixedLengthDataWriter
| Writer class for fixed-length-line data. More...
class | FixedLengthFileIterator
| Structured line iterator for fixed-length line files allowing efficient "pipelined" processing. More...
class | FixedLengthFileWriter
| Writer for fixed-length-line output files. More...

## Variables

const | EOL_MACINTOSH = "\r"
| Old (pre-OSX) Macintosh end of line character sequence.
const | EOL_UNIX = "\n"
| Unix end of line character sequence (for new OS X too)
const | EOL_WIN = "\r\n"
| MS DOS/Windows end of line character sequence.

## Detailed Description

The FixedLengthUtil namespace contains all the definitions in the FixedLengthUtil module.